## r-cran-doparallel 1.0.8

=== DESCRIPTION ===
Package: doParallel
Type: Package
Title: Foreach parallel adaptor for the parallel package
Version: 1.0.8
Author: Revolution Analytics, Steve Weston
Maintainer: Revolution Analytics <packages@revolutionanalytics.com>
Description: Provides a parallel backend for the %dopar% function using
        the parallel package.
Depends: R (>= 2.14.0), foreach(>= 1.2.0), iterators(>= 1.0.0),
        parallel, utils
Suggests: caret, mlbench, rpart
Enhances: compiler, RUnit
License: GPL-2
Repository: CRAN
Repository/R-Forge/Project: doparallel
Repository/R-Forge/Revision: 13
Repository/R-Forge/DateTimeStamp: 2014-02-25 19:30:09
Date/Publication: 2014-02-28 20:42:20
Packaged: 2014-02-25 23:42:05 UTC; rforge
NeedsCompilation: no

=== debian/changelog ===
r-cran-doparallel (1.0.8-1) unstable; urgency=low

  * Initial release (closes: #753293)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 11:47:43 +0200

=== debian/control ===
Source: r-cran-doparallel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-iterators,
               r-cran-foreach
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-doparallel/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-doparallel/trunk/
Homepage: http://cran.r-project.org/web/packages/doParallel

Package: r-cran-doparallel
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         r-cran-iterators,
         r-cran-foreach
Description: GNU R foreach parallel adaptor for the parallel package
 This GNU R package provides a parallel backend for the %dopar% function
 using the parallel package.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/doParallel_([-\d.]*)\.tar\.gz

## r-cran-doparallel 1.0.10

=== debian/changelog ===
r-cran-doparallel (1.0.10-3) unstable; urgency=medium

  * Test-Depends and Suggests: r-cran-caret, r-cran-mlbench, r-cran-rpart

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2016 08:29:43 +0200

r-cran-doparallel (1.0.10-2) unstable; urgency=medium

  * Fix autopkgtest (Thanks to Gordon Ball)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2016 15:17:30 +0200

r-cran-doparallel (1.0.10-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * fix unit autopkgtest

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2016 22:33:20 +0200

=== debian/control ===
Source: r-cran-doparallel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-iterators,
               r-cran-foreach
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-doparallel/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-doparallel/trunk/
Homepage: http://cran.r-project.org/web/packages/doParallel

Package: r-cran-doparallel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends},
         r-cran-iterators,
         r-cran-foreach
Suggests: r-cran-caret, r-cran-mlbench, r-cran-rpart
Description: GNU R foreach parallel adaptor for the parallel package
 This GNU R package provides a parallel backend for the %dopar% function
 using the parallel package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/R/debian/r-cran.mk

install/$(package)::
	chmod +x debian/$(package)/usr/lib/R/site-library/$(cranNameOrig)/unitTests/runTestSuite.sh

## r-cran-doparallel 1.0.11

=== DESCRIPTION ===
Package: doParallel
Type: Package
Title: Foreach Parallel Adaptor for the 'parallel' Package
Version: 1.0.11
Authors@R: c(person("Rich", "Calaway", role="cre", email="richcala@microsoft.com"),
             person("Microsoft", "Corporation", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"),
			 person("Dan", "Tenenbaum", role="ctb"))
Description: Provides a parallel backend for the %dopar% function using
        the parallel package.
Depends: R (>= 2.14.0), foreach(>= 1.2.0), iterators(>= 1.0.0),
        parallel, utils
Suggests: caret, mlbench, rpart
Enhances: compiler, RUnit
License: GPL-2
Author: Rich Calaway [cre],
  Microsoft Corporation [aut, cph],
  Steve Weston [aut],
  Dan Tenenbaum [ctb]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: doparallel
Repository/R-Forge/Revision: 16
Repository/R-Forge/DateTimeStamp: 2017-09-18 23:27:23
Date/Publication: 2017-09-28 16:24:39 UTC
NeedsCompilation: no
Packaged: 2017-09-18 23:46:05 UTC; rforge

=== debian/changelog ===
r-cran-doparallel (1.0.11-2) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file
  * Architecture: all (instead of any)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 09:45:00 +0200

r-cran-doparallel (1.0.11-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Convert packaging from cdbs do dh-r
  * Standards-Version: 4.1.1
  * Canonical homepage for CRAN packages

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 16:55:38 +0200

=== debian/control ===
Source: r-cran-doparallel
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-foreach,
               r-cran-iterators
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-doparallel
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-doparallel.git
Homepage: https://cran.r-project.org/package=doParallel

Package: r-cran-doparallel
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R foreach parallel adaptor for the parallel package
 This GNU R package provides a parallel backend for the %dopar% function
 using the parallel package.

## r-cran-doparallel 1.0.14

=== DESCRIPTION ===
Package: doParallel
Type: Package
Title: Foreach Parallel Adaptor for the 'parallel' Package
Version: 1.0.14
Authors@R: c(person("Rich", "Calaway", role="cre", email="richcala@microsoft.com"),
             person("Microsoft", "Corporation", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"),
			 person("Dan", "Tenenbaum", role="ctb"))
Description: Provides a parallel backend for the %dopar% function using
        the parallel package.
Depends: R (>= 2.14.0), foreach(>= 1.2.0), iterators(>= 1.0.0),
        parallel, utils
Suggests: caret, mlbench, rpart, RUnit
Enhances: compiler
License: GPL-2
Author: Rich Calaway [cre],
  Microsoft Corporation [aut, cph],
  Steve Weston [aut],
  Dan Tenenbaum [ctb]
Maintainer: Rich Calaway <richcala@microsoft.com>
Repository: CRAN
Repository/R-Forge/Project: doparallel
Repository/R-Forge/Revision: 21
Repository/R-Forge/DateTimeStamp: 2018-09-21 22:41:46
Date/Publication: 2018-09-24 19:20:09 UTC
NeedsCompilation: no
Packaged: 2018-09-21 22:51:03 UTC; rforge

=== debian/changelog ===
r-cran-doparallel (1.0.14-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 28 Sep 2018 18:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                r-base-dev,
                r-cran-foreach,
                r-cran-iterators
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-doparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-doparallel.git
 Homepage: https://cran.r-project.org/package=doParallel

## r-cran-doparallel 1.0.15

=== DESCRIPTION ===
Package: doParallel
Type: Package
Title: Foreach Parallel Adaptor for the 'parallel' Package
Version: 1.0.15
Authors@R: c(person("Hong", "Ooi", role="cre", email="hongooi@microsoft.com"),
             person("Microsoft", "Corporation", role=c("aut", "cph")),
			 person("Steve", "Weston", role="aut"),
			 person("Dan", "Tenenbaum", role="ctb"))
Description: Provides a parallel backend for the %dopar% function using
        the parallel package.
Depends: R (>= 2.14.0), foreach(>= 1.2.0), iterators(>= 1.0.0),
        parallel, utils
Suggests: caret, mlbench, rpart, RUnit
Enhances: compiler
License: GPL-2
NeedsCompilation: no
Packaged: 2019-07-16 22:51:14 UTC; richcala
Author: Hong Ooi [cre],
  Microsoft Corporation [aut, cph],
  Steve Weston [aut],
  Dan Tenenbaum [ctb]
Maintainer: Hong Ooi <hongooi@microsoft.com>
Repository: CRAN
Date/Publication: 2019-08-02 04:40:02 UTC

=== debian/changelog ===
r-cran-doparallel (1.0.15-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2019 09:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-foreach,
                r-cran-iterators
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-doparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-doparallel.git
 Homepage: https://cran.r-project.org/package=doParallel

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-caret, r-cran-mlbench, r-cran-rpart
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/doParallel_([-\d.]*)\.tar\.gz

## r-cran-doparallel 1.0.16

=== DESCRIPTION ===
Package: doParallel
Type: Package
Title: Foreach Parallel Adaptor for the 'parallel' Package
Version: 1.0.16
Authors@R: c(person("Michelle", "Wallig", role="cre", email="Michelle.Wallig@microsoft.com"),
             person("Microsoft", "Corporation", role=c("aut", "cph")),
             person("Steve", "Weston", role="aut"),
             person("Dan", "Tenenbaum", role="ctb"))
Description: Provides a parallel backend for the %dopar% function using
        the parallel package.
Depends: R (>= 2.14.0), foreach(>= 1.2.0), iterators(>= 1.0.0),
        parallel, utils
Suggests: caret, mlbench, rpart, RUnit
Enhances: compiler
License: GPL-2
NeedsCompilation: no
Packaged: 2020-10-14 19:48:08 UTC; hongo
Author: Michelle Wallig [cre],
  Microsoft Corporation [aut, cph],
  Steve Weston [aut],
  Dan Tenenbaum [ctb]
Maintainer: Michelle Wallig <Michelle.Wallig@microsoft.com>
Repository: CRAN
Date/Publication: 2020-10-16 06:20:10 UTC

=== debian/changelog ===
r-cran-doparallel (1.0.16-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 14:52:44 +0100

r-cran-doparallel (1.0.15-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:00:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-foreach,
                r-cran-iterators
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-doparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-doparallel.git
 Homepage: https://cran.r-project.org/package=doParallel
+Rules-Requires-Root: no
 
 Package: r-cran-doparallel
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian -name runTestSuite.sh -exec chmod +x \{\} \;

## r-cran-doparallel 1.0.17

=== DESCRIPTION ===
Package: doParallel
Type: Package
Title: Foreach Parallel Adaptor for the 'parallel' Package
Version: 1.0.17
Authors@R: c(person("Folashade", "Daniel", role="cre", email="fdaniel@microsoft.com"),
             person("Microsoft", "Corporation", role=c("aut", "cph")),
             person("Steve", "Weston", role="aut"),
             person("Dan", "Tenenbaum", role="ctb"))
Description: Provides a parallel backend for the %dopar% function using
        the parallel package.
Depends: R (>= 2.14.0), foreach (>= 1.2.0), iterators (>= 1.0.0),
        parallel, utils
Suggests: caret, mlbench, rpart, RUnit
Enhances: compiler
License: GPL-2
URL: https://github.com/RevolutionAnalytics/doparallel
BugReports: https://github.com/RevolutionAnalytics/doparallel/issues
NeedsCompilation: no
Packaged: 2022-01-16 17:54:13 UTC; folashade
Author: Folashade Daniel [cre],
  Microsoft Corporation [aut, cph],
  Steve Weston [aut],
  Dan Tenenbaum [ctb]
Maintainer: Folashade Daniel <fdaniel@microsoft.com>
Repository: CRAN
Date/Publication: 2022-02-07 12:50:02 UTC

=== debian/changelog ===
r-cran-doparallel (1.0.17-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 08:04:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-foreach,
                r-cran-iterators
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-doparallel
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-doparallel.git
 Homepage: https://cran.r-project.org/package=doParallel

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/doParallel_([-\d.]*)\.tar\.gz
